import * as React from "react";
import ReactDOM from "react-dom";
import { canUseDOM } from "react-native-web-internals";
function ModalPortal(props) {
  var children = props.children, elementRef = React.useRef(null);
  if (canUseDOM && !elementRef.current) {
    var element = document.createElement("div");
    element && document.body && (document.body.appendChild(element), elementRef.current = element);
  }
  return React.useEffect(function() {
    if (canUseDOM)
      return function() {
        document.body && elementRef.current && (document.body.removeChild(elementRef.current), elementRef.current = null);
      };
  }, []), elementRef.current && canUseDOM ? /* @__PURE__ */ ReactDOM.createPortal(children, elementRef.current) : null;
}
var ModalPortal_default = ModalPortal;
export {
  ModalPortal_default as default
};
//# sourceMappingURL=ModalPortal.js.map
